Bug 968196 - [abrt] policycoreutils-gui-2.1.14-45.fc19: __init__.py:152:gen_interfaces:ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen
[abrt] policycoreutils-gui-2.1.14-45.fc19: __init__.py:152:gen_interfaces:Val...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:80eb3034ac741e2649f71dc11ca...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 04:11 EDT by Moez Roy
Modified: 2013-06-29 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: policycoreutils-2.1.14-46.4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2013-05-29 04:11 EDT, Moez Roy
no flags Details
File: core_backtrace (519 bytes, text/plain)
2013-05-29 04:11 EDT, Moez Roy
no flags Details
File: environ (1.45 KB, text/plain)
2013-05-29 04:11 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-05-29 04:11:28 EDT
Version-Release number of selected component:
policycoreutils-gui-2.1.14-45.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -Es /usr/bin/selinux-polgengui
dso_list:       policycoreutils-python-2.1.14-45.fc19.x86_64
executable:     /usr/bin/selinux-polgengui
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
__init__.py:152:gen_interfaces:ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen

Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 760, in <module>
    app = childWindow()
  File "/usr/bin/selinux-polgengui", line 324, in __init__
    for u in sepolicy.interface.get_user():
  File "/usr/lib64/python2.7/site-packages/sepolicy/interface.py", line 106, in get_user
    for i in sepolicy.get_methods():
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 79, in get_methods
    gen_interfaces()
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 152, in gen_interfaces
    raise ValueError(_("You must regenerate interface info by running /usr/bin/sepolgen-ifgen"))
ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen

Local variables in innermost frame:
headers: '/usr/share/selinux/devel/include'
rebuild: False
commands: <module 'commands' from '/usr/lib64/python2.7/commands.pyc'>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
ifile: '/var/lib/sepolgen/interface_info'
Comment 1 Moez Roy 2013-05-29 04:11:33 EDT
Created attachment 754240 [details]
File: backtrace
Comment 2 Moez Roy 2013-05-29 04:11:36 EDT
Created attachment 754241 [details]
File: core_backtrace
Comment 3 Moez Roy 2013-05-29 04:11:39 EDT
Created attachment 754242 [details]
File: environ
Comment 4 Daniel Walsh 2013-06-04 11:02:38 EDT
Fixed in policycoreutils-2.1.14-46.1.fc19 
and
Fixed in selinux-policy-3.12.1-48.fc19.noarch
Comment 5 Moez Roy 2013-06-06 16:19:19 EDT
(In reply to Daniel Walsh from comment #4)
> Fixed in policycoreutils-2.1.14-46.1.fc19 

Thanks for the fix, but I cannot download policycoreutils-2.1.14-46.1.fc19 from Updates Testing.
Comment 6 Moez Roy 2013-06-13 22:20:17 EDT
are you going to push policycoreutils-2.1.14-46.1.fc19 to Updates Testing?
Comment 7 Fedora Update System 2013-06-22 06:17:15 EDT
policycoreutils-2.1.14-46.4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.14-46.4.fc19
Comment 8 Fedora Update System 2013-06-22 14:14:55 EDT
Package policycoreutils-2.1.14-46.4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.14-46.4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11469/policycoreutils-2.1.14-46.4.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-29 14:02:55 EDT
policycoreutils-2.1.14-46.4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.